# PySphereProj

This is a simple package made of 3d interpolators (CIC based) and 3d to healpix projector.

Everything is contained in the package `sphereproj`.

Here is a short example for spherical projection:

```python

import sphereproj
import numpy as np

N = 256
Nside=128
rho = np.random.randn(N,N,N)

result = sphereproj.spherical_projection(Nside, density, 0, 128, integrator_id=1)
# min_distance, max_distance, progress=1, integrator_id=0, shifter=None, booster=-1)


```
